org.keycloak.protocol.saml.installation

## Class SamlIDPDescriptorClientInstallation

- java.lang.Object
- - org.keycloak.protocol.saml.installation.SamlIDPDescriptorClientInstallation

- All Implemented Interfaces:
    ClientInstallationProvider, Provider, ProviderFactory<ClientInstallationProvider>

      public class SamlIDPDescriptorClientInstallation
      extends Object
      implements ClientInstallationProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlIDPDescriptorClientInstallation()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientInstallationProvider` | `create(KeycloakSession session)`
    `javax.ws.rs.core.Response` | `generateInstallation(KeycloakSession session, RealmModel realm, ClientModel client, URI serverBaseUri)`
    `String` | `getDisplayType()`
    `String` | `getFilename()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `static String` | `getIDPDescriptorForClient(RealmModel realm, ClientModel client, URI serverBaseUri)`
    `String` | `getMediaType()`
    `String` | `getProtocol()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isDownloadOnly()`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamlIDPDescriptorClientInstallation

          public SamlIDPDescriptorClientInstallation()

  - ### Method Detail

    - #### getIDPDescriptorForClient

          public static String getIDPDescriptorForClient(RealmModel realm,
                                                         ClientModel client,
                                                         URI serverBaseUri)

    - #### generateInstallation

          public javax.ws.rs.core.Response generateInstallation(KeycloakSession session,
                                                                RealmModel realm,
                                                                ClientModel client,
                                                                URI serverBaseUri)

      Specified by:
        `generateInstallation` in interface `ClientInstallationProvider`

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `ClientInstallationProvider`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ClientInstallationProvider`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ClientInstallationProvider`

    - #### getFilename

          public String getFilename()

      Specified by:
        `getFilename` in interface `ClientInstallationProvider`

    - #### getMediaType

          public String getMediaType()

      Specified by:
        `getMediaType` in interface `ClientInstallationProvider`

    - #### isDownloadOnly

          public boolean isDownloadOnly()

      Specified by:
        `isDownloadOnly` in interface `ClientInstallationProvider`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<ClientInstallationProvider>`

    - #### create

          public ClientInstallationProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClientInstallationProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientInstallationProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientInstallationProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClientInstallationProvider>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.